## com.declarativa.interprolog.util
Class OutputHandler

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--com.declarativa.interprolog.util.OutputHandler

All Implemented Interfaces:
  Runnable

public class OutputHandler
extends Thread

An object consuming input from a stream, analysing it and sending messages to a list of OutputListener objects

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`OutputHandler(InputStream s)`

Method Summary
`void` `addOutputListener(OutputListener ol)`
`boolean` `hasListener(OutputListener ol)`
`void` `removeOutputListener(OutputListener ol)`
`void` `run()`
`void` `setIgnoreStreamEnd(boolean ignore)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutputHandler

    public OutputHandler(InputStream s)

Method Detail

### addOutputListener

    public void addOutputListener(OutputListener ol)

### removeOutputListener

    public void removeOutputListener(OutputListener ol)

### hasListener

    public boolean hasListener(OutputListener ol)

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### setIgnoreStreamEnd

    public void setIgnoreStreamEnd(boolean ignore)